#ifndef __WLIST_H
#define __WLIST_H

#ifdef __cplusplus
extern "C" {
#endif

#define EXE_TYPE	"exe"
#define SO_TYPE		"so"
#define KO_TYPE		"ko"
#define SCRIPT_TYPE	"script"
#define APP_TYPE	"app"

int wlist_insert_policy(char *file_path, char *file_type);
int wlist_delete_policy(char *file_path, char *file_type);
int wlist_add_app_policy(char *appname);
int wlist_del_app_policy(char *appname);
int wlist_add_file_protect(char *file_name);
int wlist_remove_file_protect(char *file_name);
int set_wlist_status(int status);

#define WHLIST_SM3 "/etc/whitelist/sm3"
/* get whitelist from db, and write the data to WHLIST_SM3 */
int create_sm3_whitelist_file(void);

#ifdef __cplusplus
}
#endif

#endif
